• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

pureftpd quickstart manual

#1
Here I am again, with yet another question:
I am currently looking into pureftpd as a ftp server for my FreeBSD 4.10 box, but the manual is *huge*. I have tried looking for quickstart manuals, but so far I have found none. Basically what I want is to specify a directory where people with the correct username/password combination can read/write to. Maybe it is possible to link the username and password to the Unix user-information, used for login to the box? That's all I want really.
 
#7
Damn, it is easy to setup! Using the guide on bsdforums.org, I set it up in 5 mins. I only have some problems with the Passive Port settings, I just can't seem to get them right. But it's late, maybe I overlooked a setting.
 

j79zlr

Glaanies script monkey
Political User
#8
IIRC you have to define the WAN IP address [with ProFTPd] to get the passive ports to work correctly.
 
#9
yeah, set your external ip address for the passive ip and then forward the port range which you want passive to use and enter those in the pure-ftpd.conf file

that is if you are using pure-ftpd

which are you using??
 
#11
Hmm, it's confusing me. At one hand you have a pureftpd.conf file where you can set the settings, but I can't find any documentation about that file, instead pureftpd.org talks about switches used on startup. Which should I use? That could also explain why the pasv settings don't work, because I set them in the .conf file.
 
#13
Ah thanks. One more thing:
when I type in /usr/local/etc/rc.d/pure-ftpd.sh stop (I wanted to restart the FTP server) I get an error about a missing prefix. I haven't edited the file since I removed the .sample from the filename...
 
#15
I think I am gonna extract the file and reinstall it again. Do you happen to know how I can extract one file from the ports collection? I know 'make extract', but that extracts the entire archive.
 
#17
[root@server1:~] # cd /usr/local/etc/rc.d
[root@server1:/usr/local/etc/rc.d] # ls
000.mysql-client.sh mysql-server.sh sm-client.sh.sample
000.pkgtools.sh pure-ftpd.sh svscan.sh
apache2.sh samba.sh
cups.sh.sample sendmail.sh
[root@server1:/usr/local/etc/rc.d] # ./pure-ftpd.sh stop
./pure-ftpd.sh: Cannot determine the PREFIX
[root@server1:/usr/local/etc/rc.d] #
:( Doesn't work. Wnat me to post the contents of the file?

edit: I just restarted the server (I installed a new fan), and pure-ftpd started up normally. Or does it only look if pureftpd_start="YES" in /etc/rc.conf (as it is now)?
 

j79zlr

Glaanies script monkey
Political User
#20
Try editting the script, this section:

Code:
if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then

    echo "$0: Cannot determine the PREFIX" >&2

    exit 1

fi
to

Code:
if ! PREFIX=$(expr $0 : "\(/.*\)/usr/local/etc/rc\.d/$(basename $0)\$"); then

    echo "$0: Cannot determine the PREFIX" >&2

    exit 1

fi
 

Members online

No members online now.

Latest posts

Latest profile posts

Perris Calderon wrote on Electronic Punk's profile.
Ep, glad to see you come back and tidy up...did want to ask a one day favor, I want to enhance my resume , was hoping you could make me administrator for a day, if so, take me right off since I won't be here to do anything, and don't know the slightest about the board, but it would be nice putting "served administrator osnn", if can do, THANKS

Been running around Quora lately, luv it there https://tinyurl.com/ycpxl
Electronic Punk wrote on Perris Calderon's profile.
All good still mate?
Hello, is there anybody in there? Just nod if you can hear me ...
Xie
What a long strange trip it's been. =)

Forum statistics

Threads
61,962
Messages
673,240
Members
89,015
Latest member
loxioalix